/*******************************************************************************
 * Copyright (c) 2007, 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 ******************************************************************************
 *
 **/
/**
  * Object attribute()
  * @type attribute
  * @super Object
  * @memberOf attribute
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535187.aspx
*/

function attribute(){};
attribute.prototype= new Object();
/**
  * Property expando
  * @type Boolean
  * @returns {Boolean}
  * @memberOf attribute
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533747.aspx
*/

attribute.prototype.expando=false;
/**
  * Property firstChild
  * @type Object
  * @returns {Object}
  * @memberOf attribute
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533755.aspx
*/

attribute.prototype.firstChild=new Object();
/**
  * Property childNodes
  * @type childNodes
  * @returns {childNodes}
  * @memberOf attribute
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms537445.aspx
*/

attribute.prototype.childNodes= new childNodes();
/**
  * Property lastChild
  * @type Object
  * @returns {Object}
  * @memberOf attribute
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533943.aspx
*/

attribute.prototype.lastChild=new Object();
/**
  * Property name
  * @type String
  * @returns {String}
  * @memberOf attribute
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534184.aspx
*/

attribute.prototype.name="";
/**
  * Property nextSibling
  * @type Object
  * @returns {Object}
  * @memberOf attribute
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534189.aspx
*/

attribute.prototype.nextSibling=new Object();
/**
  * Property nodeName
  * @type String
  * @returns {String}
  * @memberOf attribute
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534190.aspx
*/

attribute.prototype.nodeName="";
/**
  * Property nodeType
  * @type Number
  * @returns {Number}
  * @memberOf attribute
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534191.aspx
*/

attribute.prototype.nodeType=0;
/**
  * Property nodeValue
  * @type Object
  * @returns {Object}
  * @memberOf attribute
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534192.aspx
*/

attribute.prototype.nodeValue=new Object();
/**
  * Property ownerDocument
  * @type document
  * @returns {document}
  * @memberOf attribute
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534315.aspx
*/

attribute.prototype.ownerDocument=new document();
/**
  * Property document
  * @type document
  * @returns {document}
  * @memberOf attribute
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms531073.aspx
*/

attribute.prototype.document= new document();
/**
  * Property parentNode
  * @type Object
  * @returns {Object}
  * @memberOf attribute
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534328.aspx
*/

attribute.prototype.parentNode=new Object();
/**
  * Property previousSibling
  * @type Object
  * @returns {Object}
  * @memberOf attribute
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534350.aspx
*/

attribute.prototype.previousSibling=new Object();
/**
  * Property specified
  * @type Boolean
  * @returns {Boolean}
  * @memberOf attribute
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534637.aspx
*/

attribute.prototype.specified=false;
/**
  * Property value
  * @type String
  * @returns {String}
  * @memberOf attribute
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535129.aspx
*/

attribute.prototype.value="";
/**
  * Property attributes
  * @type attributes
  * @returns {attributes}
  * @memberOf attribute
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms537438.aspx
*/

attribute.prototype.attributes= new attributes();
/**
  * function appendChild(oNode)
  * @param {appendChild} oNode
  * @memberOf attribute
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535934.aspx
*/

attribute.prototype.appendChild=function(oNode){};
/**
  * function cloneNode(bCloneChildren)
  * @param {Boolean} bCloneChildren
  * @memberOf attribute
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536365.aspx
*/

attribute.prototype.cloneNode=function(bCloneChildren){};
/**
  * function hasChildNodes()
  * @type HTML Elements
  * @returns {HTML}
 Elements
  * @memberOf attribute
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536445.aspx
*/

attribute.prototype.hasChildNodes=function(){};
/**
  * function insertBefore(oNewNode,oChildNode)
  * @param {Object} oNewNode
  * @param {Object} oChildNode
  * @memberOf attribute
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536454.aspx
*/

attribute.prototype.insertBefore=function(oNewNode,oChildNode){};
/**
  * function removeChild(oNode)
  * @param {Object} oNode
  * @memberOf attribute
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536702.aspx
*/

attribute.prototype.removeChild=function(oNode){};
/**
  * function replaceChild(oNewNode,oChildNode)
  * @param {Object} oNewNode
  * @param {Object} oChildNode
  * @memberOf attribute
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536716.aspx
*/

attribute.prototype.replaceChild=function(oNewNode,oChildNode){};
/**
  * Property attributes
  * @type attributes
  * @returns {attributes}
  * @memberOf attribute
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms537438.aspx
*/

attribute.prototype.attributes= new attributes();
/**
  * Property childNodes
  * @type childNodes
  * @returns {childNodes}
  * @memberOf attribute
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms537445.aspx
*/

attribute.prototype.childNodes= new childNodes();
/**
  * Property TextNode
  * @type TextNode
  * @returns {TextNode}
  * @memberOf attribute
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535905.aspx
*/

attribute.prototype.TextNode= new TextNode();
