/*******************************************************************************
 * Copyright (c) 2007, 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 ******************************************************************************
 *
 **/
/**
  * Object clientInformation()
  * @type clientInformation
  * @super Object
  * @memberOf clientInformation
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535860.aspx
*/

function clientInformation(){};
clientInformation.prototype= new Object();
/**
  * Property appCodeName
  * @type String
  * @returns {String}
  * @memberOf clientInformation
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533077.aspx
*/

clientInformation.prototype.appCodeName="";
/**
  * Property appMinorVersion
  * @type String
  * @returns {String}
  * @memberOf clientInformation
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533078.aspx
*/

clientInformation.prototype.appMinorVersion="";
/**
  * Property appName
  * @type String
  * @returns {String}
  * @memberOf clientInformation
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533079.aspx
*/

clientInformation.prototype.appName="";
/**
  * Property appVersion
  * @type String
  * @returns {String}
  * @memberOf clientInformation
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533080.aspx
*/

clientInformation.prototype.appVersion="";
/**
  * Property browserLanguage
  * @type String
  * @returns {String}
  * @memberOf clientInformation
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533542.aspx
*/

clientInformation.prototype.browserLanguage="";
/**
  * Property cookieEnabled
  * @type Boolean
  * @returns {Boolean}
  * @memberOf clientInformation
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533694.aspx
*/

clientInformation.prototype.cookieEnabled=false;
/**
  * Property cpuClass
  * @type String
  * @returns {String}
  * @memberOf clientInformation
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533697.aspx
*/

clientInformation.prototype.cpuClass="";
/**
  * Property onLine
  * @type Boolean
  * @returns {Boolean}
  * @memberOf clientInformation
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534307.aspx
*/

clientInformation.prototype.onLine=false;
/**
  * Property platform
  * @type String
  * @returns {String}
  * @memberOf clientInformation
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534340.aspx
*/

clientInformation.prototype.platform="";
/**
  * Property systemLanguage
  * @type String
  * @returns {String}
  * @memberOf clientInformation
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534653.aspx
*/

clientInformation.prototype.systemLanguage="";
/**
  * Property userAgent
  * @type String
  * @returns {String}
  * @memberOf clientInformation
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534712.aspx
*/

clientInformation.prototype.userAgent="";
/**
  * Property userLanguage
  * @type String
  * @returns {String}
  * @memberOf clientInformation
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534713.aspx
*/

clientInformation.prototype.userLanguage="";
/**
  * Property plugins
  * @type plugins
  * @returns {plugins}
  * @memberOf clientInformation
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms537477.aspx
*/

clientInformation.prototype.plugins= new plugins();
/**
  * function javaEnabled()
  * @type Boolean
  * @returns {Boolean}
  * @memberOf clientInformation
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536610.aspx
*/

clientInformation.prototype.javaEnabled=function(){};
/**
  * function taintEnabled()
  * @memberOf clientInformation
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536778.aspx
*/

clientInformation.prototype.taintEnabled=function(){};
/**
  * Property userProfile
  * @type userProfile
  * @returns {userProfile}
  * @memberOf clientInformation
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535915.aspx
*/

clientInformation.prototype.userProfile= new userProfile();
/**
  * Property plugins
  * @type plugins
  * @returns {plugins}
  * @memberOf clientInformation
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms537477.aspx
*/

clientInformation.prototype.plugins= new plugins();
/**
  * Property embed
  * @type embed
  * @returns {embed}
  * @memberOf clientInformation
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535245.aspx
*/

clientInformation.prototype.embed= new embed();
