/*******************************************************************************
 * Copyright (c) 2007, 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 ******************************************************************************
 *
 **/
/**
  * Object defaults()
  * @type defaults
  * @super Object
  * @memberOf defaults
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535235.aspx
*/

function defaults(){};
defaults.prototype= new Object();
/**
  * Property blockDirection
  * @type String
  * @returns {String}
  * @memberOf defaults
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533508.aspx
*/

defaults.prototype.blockDirection="";
/**
  * Property canHaveHTML
  * @type Boolean
  * @returns {Boolean}
  * @memberOf defaults
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms537836.aspx
*/

defaults.prototype.canHaveHTML=false;
/**
  * Property contentEditable
  * @type String
  * @returns {String}
  * @memberOf defaults
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms537837.aspx
*/

defaults.prototype.contentEditable="";
/**
  * Property isMultiLine
  * @type Boolean
  * @returns {Boolean}
  * @memberOf defaults
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms537839.aspx
*/

defaults.prototype.isMultiLine=false;
/**
  * Property tabStop
  * @type Boolean
  * @returns {Boolean}
  * @memberOf defaults
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534656.aspx
*/

defaults.prototype.tabStop=false;
/**
  * Property viewInheritStyle
  * @type Boolean
  * @returns {Boolean}
  * @memberOf defaults
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535133.aspx
*/

defaults.prototype.viewInheritStyle=false;
/**
  * Property viewLink
  * @type document
  * @returns {document}
  * @memberOf defaults
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535134.aspx
*/

defaults.prototype.viewLink=new document();
/**
  * Property document
  * @type document
  * @returns {document}
  * @memberOf defaults
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms531073.aspx
*/

defaults.prototype.document= new document();
/**
  * Property viewMasterTab
  * @type Boolean
  * @returns {Boolean}
  * @memberOf defaults
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535135.aspx
*/

defaults.prototype.viewMasterTab=false;
/**
  * Property onbeforeeditfocus
  * @type onbeforeeditfocus
  * @returns {onbeforeeditfocus}
  * @memberOf defaults
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536904.aspx
*/

defaults.prototype.onbeforeeditfocus= new onbeforeeditfocus();
/**
  * Property onbeforeeditfocus
  * @type onbeforeeditfocus
  * @returns {onbeforeeditfocus}
  * @memberOf defaults
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536904.aspx
*/

defaults.prototype.onbeforeeditfocus= new onbeforeeditfocus();
