/*******************************************************************************
 * Copyright (c) 2007, 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 ******************************************************************************
 *
 **/
/**
  * Object document()
  * @type document
  * @super Object
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms531073.aspx
*/

function document(){};
document.prototype= new Object();
/**
  * Property activeElement
  * @type Object
  * @returns {Object}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533065.aspx
*/

document.prototype.activeElement=new Object();
/**
  * Property alinkColor
  * @type Object
  * @returns {Object}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533071.aspx
*/

document.prototype.alinkColor=new Object();
/**
  * Property bgColor
  * @type Object
  * @returns {Object}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533506.aspx
*/

document.prototype.bgColor=new Object();
/**
  * Property charset
  * @type String
  * @returns {String}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533553.aspx
*/

document.prototype.charset="";
/**
  * Property compatMode
  * @type String
  * @returns {String}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533687.aspx
*/

document.prototype.compatMode="";
/**
  * Property cookie
  * @type String
  * @returns {String}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533693.aspx
*/

document.prototype.cookie="";
/**
  * Property defaultCharset
  * @type String
  * @returns {String}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533714.aspx
*/

document.prototype.defaultCharset="";
/**
  * Property designMode
  * @type String
  * @returns {String}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533720.aspx
*/

document.prototype.designMode="";
/**
  * Property dir
  * @type String
  * @returns {String}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533731.aspx
*/

document.prototype.dir="";
/**
  * Property doctype
  * @type Object
  * @returns {Object}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533737.aspx
*/

document.prototype.doctype=new Object();
/**
  * Property documentElement
  * @type Object
  * @returns {Object}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533739.aspx
*/

document.prototype.documentElement=new Object();
/**
  * Property domain
  * @type String
  * @returns {String}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533740.aspx
*/

document.prototype.domain="";
/**
  * Property expando
  * @type Boolean
  * @returns {Boolean}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533747.aspx
*/

document.prototype.expando=false;
/**
  * Property fgColor
  * @type Object
  * @returns {Object}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533749.aspx
*/

document.prototype.fgColor=new Object();
/**
  * Property fileCreatedDate
  * @type String
  * @returns {String}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533750.aspx
*/

document.prototype.fileCreatedDate="";
/**
  * Property fileModifiedDate
  * @type String
  * @returns {String}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533751.aspx
*/

document.prototype.fileModifiedDate="";
/**
  * Property fileSize
  * @type String
  * @returns {String}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533752.aspx
*/

document.prototype.fileSize="";
/**
  * Property implementation
  * @type implementation
  * @returns {implementation}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533884.aspx
*/

document.prototype.implementation=new implementation();
/**
  * Property implementation
  * @type implementation
  * @returns {implementation}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535865.aspx
*/

document.prototype.implementation= new implementation();
/**
  * Property lastModified
  * @type String
  * @returns {String}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533946.aspx
*/

document.prototype.lastModified="";
/**
  * Property linkColor
  * @type Object
  * @returns {Object}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534117.aspx
*/

document.prototype.linkColor=new Object();
/**
  * Property parentWindow
  * @type Object
  * @returns {Object}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534331.aspx
*/

document.prototype.parentWindow=new Object();
/**
  * Property protocol
  * @type String
  * @returns {String}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534353.aspx
*/

document.prototype.protocol="";
/**
  * Property readyState
  * @type String
  * @returns {String}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534359.aspx
*/

document.prototype.readyState="";
/**
  * Property referrer
  * @type String
  * @returns {String}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534365.aspx
*/

document.prototype.referrer="";
/**
  * Property uniqueID
  * @type String
  * @returns {String}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534704.aspx
*/

document.prototype.uniqueID="";
/**
  * Property URL
  * @type String
  * @returns {String}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534708.aspx
*/

document.prototype.URL="";
/**
  * Property URLUnencoded
  * @type String
  * @returns {String}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534709.aspx
*/

document.prototype.URLUnencoded="";
/**
  * Property vlinkColor
  * @type Object
  * @returns {Object}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535139.aspx
*/

document.prototype.vlinkColor=new Object();
/**
  * Property XMLDocument
  * @type Object
  * @returns {Object}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535155.aspx
*/

document.prototype.XMLDocument=new Object();
/**
  * Property XSLDocument
  * @type Object
  * @returns {Object}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535163.aspx
*/

document.prototype.XSLDocument=new Object();
/**
  * Property all
  * @type all
  * @returns {all}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms537434.aspx
*/

document.prototype.all= new all();
/**
  * function attachEvent(sEvent,fpNotify)
  * @param {String} sEvent
  * @param {Boolean} fpNotify
  * @type Boolean
  * @returns {Boolean}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536343.aspx
*/

document.prototype.attachEvent=function(sEvent,fpNotify){};
/**
  * function clear()
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536361.aspx
*/

document.prototype.clear=function(){};
/**
  * function close()
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536369.aspx
*/

document.prototype.close=function(){};
/**
  * function createAttribute(sName)
  * @param {String} sName
  * @type attribute
  * @returns {attribute}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536379.aspx
*/

document.prototype.createAttribute=function(sName){};
/**
  * Property attribute
  * @type attribute
  * @returns {attribute}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535187.aspx
*/

document.prototype.attribute= new attribute();
/**
  * Property name
  * @type String
  * @returns {String}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534184.aspx
*/

document.prototype.name="";
/**
  * function createComment(sData)
  * @param {String} sData
  * @type comment
  * @returns {comment}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536383.aspx
*/

document.prototype.createComment=function(sData){};
/**
  * Property comment
  * @type comment
  * @returns {comment}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535229.aspx
*/

document.prototype.comment= new comment();
/**
  * Property data
  * @type String
  * @returns {String}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533702.aspx
*/

document.prototype.data="";
/**
  * function createDocumentFragment()
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536387.aspx
*/

document.prototype.createDocumentFragment=function(){};
/**
  * function createElement(sTag)
  * @param {String} sTag
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536389.aspx
*/

document.prototype.createElement=function(sTag){};
/**
  * function createEventObject(oExistingEvent)
  * @param {event} oExistingEvent
  * @type event
  * @returns {event}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536390.aspx
*/

document.prototype.createEventObject=function(oExistingEvent){};
/**
  * Property event
  * @type event
  * @returns {event}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535863.aspx
*/

document.prototype.event= new event();
/**
  * function fireEvent(sEvent,oEventObject)
  * @param {String} sEvent
  * @param {event} oEventObject
  * @type Boolean
  * @returns {Boolean}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536423.aspx
*/

document.prototype.fireEvent=function(sEvent,oEventObject){};
/**
  * function createStyleSheet(sURL,iIndex)
  * @param {String} sURL
  * @param {Number} iIndex
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms531194.aspx
*/

document.prototype.createStyleSheet=function(sURL,iIndex){};
/**
  * function createTextNode(sText)
  * @param {String} sText
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536400.aspx
*/

document.prototype.createTextNode=function(sText){};
/**
  * function detachEvent(sEvent,fpNotify)
  * @param {String} sEvent
  * @param {attachEvent} fpNotify
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536411.aspx
*/

document.prototype.detachEvent=function(sEvent,fpNotify){};
/**
  * function elementFromPoint(iX,iY)
  * @param {Number} iX
  * @param {Number} iY
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536417.aspx
*/

document.prototype.elementFromPoint=function(iX,iY){};
/**
  * function execCommand(sCommand,bUserInterface,vValue)
  * @param {String} sCommand
  * @param {Boolean} bUserInterface
  * @param {Variant} vValue
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536419.aspx
*/

document.prototype.execCommand=function(sCommand,bUserInterface,vValue){};
/**
  * function focus()
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536425.aspx
*/

document.prototype.focus=function(){};
/**
  * Property onfocus
  * @type onfocus
  * @returns {onfocus}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536934.aspx
*/

document.prototype.onfocus= new onfocus();
/**
  * function getElementById(sIDValue)
  * @param {String} sIDValue
  * @type ID
  * @returns {ID}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536437.aspx
*/

document.prototype.getElementById=function(sIDValue){};
/**
  * Property id
  * @type String
  * @returns {String}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533880.aspx
*/

document.prototype.id="";
/**
  * function getElementsByName(sNameValue)
  * @param {String} sNameValue
  * @type NAME
  * @returns {NAME}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536438.aspx
*/

document.prototype.getElementsByName=function(sNameValue){};
/**
  * function getElementsByTagName(sTagName)
  * @param {String} sTagName
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536439.aspx
*/

document.prototype.getElementsByTagName=function(sTagName){};
/**
  * function hasFocus()
  * @type Boolean
  * @returns {Boolean}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536447.aspx
*/

document.prototype.hasFocus=function(){};
/**
  * function mergeAttributes(oSource,bPreserve)
  * @param {Object} oSource
  * @param {Boolean} bPreserve
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536614.aspx
*/

document.prototype.mergeAttributes=function(oSource,bPreserve){};
/**
  * function open(sUrl,sName,sUrl,sFeature,bReplace,sUrl)
  * @param {String} sUrl
  * @param {String} sName
  * @param {String} sUrl
  * @param {Favorites} sFeature Center
  * @param {Boolean} bReplace
  * @param {open} sUrl
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536652.aspx
*/

document.prototype.open=function(sUrl,sName,sUrl,sFeature,bReplace,sUrl){};
/**
  * function write(sText)
  * @param {String} sText
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536782.aspx
*/

document.prototype.write=function(sText){};
/**
  * function writeln(sText)
  * @param {String} sText
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536783.aspx
*/

document.prototype.writeln=function(sText){};
/**
  * function queryCommandEnabled(sCmdID)
  * @param {String} sCmdID
  * @type Boolean
  * @returns {Boolean}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536676.aspx
*/

document.prototype.queryCommandEnabled=function(sCmdID){};
/**
  * function queryCommandIndeterm(sCmdID)
  * @param {String} sCmdID
  * @type Boolean
  * @returns {Boolean}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536678.aspx
*/

document.prototype.queryCommandIndeterm=function(sCmdID){};
/**
  * function queryCommandState(sCmdID)
  * @param {String} sCmdID
  * @type Boolean
  * @returns {Boolean}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536679.aspx
*/

document.prototype.queryCommandState=function(sCmdID){};
/**
  * function queryCommandSupported(sCmdID)
  * @param {String} sCmdID
  * @type Boolean
  * @returns {Boolean}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536681.aspx
*/

document.prototype.queryCommandSupported=function(sCmdID){};
/**
  * function queryCommandValue(sCmdID)
  * @param {String} sCmdID
  * @type Object
  * @returns {Object}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536683.aspx
*/

document.prototype.queryCommandValue=function(sCmdID){};
/**
  * function recalc(bForceAll)
  * @param {Boolean} bForceAll
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536685.aspx
*/

document.prototype.recalc=function(bForceAll){};
/**
  * function releaseCapture()
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536689.aspx
*/

document.prototype.releaseCapture=function(){};
/**
  * function setActive()
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536738.aspx
*/

document.prototype.setActive=function(){};
/**
  * Property body
  * @type body
  * @returns {body}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535205.aspx
*/

document.prototype.body= new body();
/**
  * Property implementation
  * @type implementation
  * @returns {implementation}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535865.aspx
*/

document.prototype.implementation= new implementation();
/**
  * Property location
  * @type location
  * @returns {location}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535866.aspx
*/

document.prototype.location= new location();
/**
  * Property selection
  * @type selection
  * @returns {selection}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535869.aspx
*/

document.prototype.selection= new selection();
/**
  * Property title
  * @type title
  * @returns {title}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535910.aspx
*/

document.prototype.title= new title();
/**
  * Property onactivate
  * @type onactivate
  * @returns {onactivate}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536787.aspx
*/

document.prototype.onactivate= new onactivate();
/**
  * Property activeElement
  * @type Object
  * @returns {Object}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533065.aspx
*/

document.prototype.activeElement=new Object();
/**
  * Property onbeforeactivate
  * @type onbeforeactivate
  * @returns {onbeforeactivate}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536791.aspx
*/

document.prototype.onbeforeactivate= new onbeforeactivate();
/**
  * Property onbeforecut
  * @type onbeforecut
  * @returns {onbeforecut}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536902.aspx
*/

document.prototype.onbeforecut= new onbeforecut();
/**
  * Property onbeforedeactivate
  * @type onbeforedeactivate
  * @returns {onbeforedeactivate}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536903.aspx
*/

document.prototype.onbeforedeactivate= new onbeforedeactivate();
/**
  * Property onbeforeeditfocus
  * @type onbeforeeditfocus
  * @returns {onbeforeeditfocus}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536904.aspx
*/

document.prototype.onbeforeeditfocus= new onbeforeeditfocus();
/**
  * Property onbeforepaste
  * @type onbeforepaste
  * @returns {onbeforepaste}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536905.aspx
*/

document.prototype.onbeforepaste= new onbeforepaste();
/**
  * Property onclick
  * @type onclick
  * @returns {onclick}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536913.aspx
*/

document.prototype.onclick= new onclick();
/**
  * Property oncontextmenu
  * @type oncontextmenu
  * @returns {oncontextmenu}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536914.aspx
*/

document.prototype.oncontextmenu= new oncontextmenu();
/**
  * Property oncontrolselect
  * @type oncontrolselect
  * @returns {oncontrolselect}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms537844.aspx
*/

document.prototype.oncontrolselect= new oncontrolselect();
/**
  * Property oncut
  * @type oncut
  * @returns {oncut}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536917.aspx
*/

document.prototype.oncut= new oncut();
/**
  * Property ondblclick
  * @type ondblclick
  * @returns {ondblclick}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536921.aspx
*/

document.prototype.ondblclick= new ondblclick();
/**
  * Property ondeactivate
  * @type ondeactivate
  * @returns {ondeactivate}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536922.aspx
*/

document.prototype.ondeactivate= new ondeactivate();
/**
  * Property ondrag
  * @type ondrag
  * @returns {ondrag}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536923.aspx
*/

document.prototype.ondrag= new ondrag();
/**
  * Property ondragend
  * @type ondragend
  * @returns {ondragend}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536924.aspx
*/

document.prototype.ondragend= new ondragend();
/**
  * Property ondragenter
  * @type ondragenter
  * @returns {ondragenter}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536925.aspx
*/

document.prototype.ondragenter= new ondragenter();
/**
  * Property ondragleave
  * @type ondragleave
  * @returns {ondragleave}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536926.aspx
*/

document.prototype.ondragleave= new ondragleave();
/**
  * Property ondragover
  * @type ondragover
  * @returns {ondragover}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536927.aspx
*/

document.prototype.ondragover= new ondragover();
/**
  * Property ondragstart
  * @type ondragstart
  * @returns {ondragstart}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536928.aspx
*/

document.prototype.ondragstart= new ondragstart();
/**
  * Property ondrop
  * @type ondrop
  * @returns {ondrop}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536929.aspx
*/

document.prototype.ondrop= new ondrop();
/**
  * Property onfocusin
  * @type onfocusin
  * @returns {onfocusin}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536935.aspx
*/

document.prototype.onfocusin= new onfocusin();
/**
  * Property onfocusout
  * @type onfocusout
  * @returns {onfocusout}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536936.aspx
*/

document.prototype.onfocusout= new onfocusout();
/**
  * Property onhelp
  * @type onhelp
  * @returns {onhelp}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536937.aspx
*/

document.prototype.onhelp= new onhelp();
/**
  * Property onkeydown
  * @type onkeydown
  * @returns {onkeydown}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536938.aspx
*/

document.prototype.onkeydown= new onkeydown();
/**
  * Property onkeypress
  * @type onkeypress
  * @returns {onkeypress}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536939.aspx
*/

document.prototype.onkeypress= new onkeypress();
/**
  * Property onkeyup
  * @type onkeyup
  * @returns {onkeyup}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536940.aspx
*/

document.prototype.onkeyup= new onkeyup();
/**
  * Property onmousedown
  * @type onmousedown
  * @returns {onmousedown}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536944.aspx
*/

document.prototype.onmousedown= new onmousedown();
/**
  * Property onmousemove
  * @type onmousemove
  * @returns {onmousemove}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536947.aspx
*/

document.prototype.onmousemove= new onmousemove();
/**
  * Property onmouseout
  * @type onmouseout
  * @returns {onmouseout}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536948.aspx
*/

document.prototype.onmouseout= new onmouseout();
/**
  * Property onmouseover
  * @type onmouseover
  * @returns {onmouseover}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536949.aspx
*/

document.prototype.onmouseover= new onmouseover();
/**
  * Property onmouseup
  * @type onmouseup
  * @returns {onmouseup}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536950.aspx
*/

document.prototype.onmouseup= new onmouseup();
/**
  * Property onmousewheel
  * @type onmousewheel
  * @returns {onmousewheel}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536951.aspx
*/

document.prototype.onmousewheel= new onmousewheel();
/**
  * Property onmove
  * @type onmove
  * @returns {onmove}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536952.aspx
*/

document.prototype.onmove= new onmove();
/**
  * Property onmoveend
  * @type onmoveend
  * @returns {onmoveend}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536953.aspx
*/

document.prototype.onmoveend= new onmoveend();
/**
  * Property onmovestart
  * @type onmovestart
  * @returns {onmovestart}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536954.aspx
*/

document.prototype.onmovestart= new onmovestart();
/**
  * Property onpaste
  * @type onpaste
  * @returns {onpaste}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536955.aspx
*/

document.prototype.onpaste= new onpaste();
/**
  * Property onpropertychange
  * @type onpropertychange
  * @returns {onpropertychange}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536956.aspx
*/

document.prototype.onpropertychange= new onpropertychange();
/**
  * Property onreadystatechange
  * @type onreadystatechange
  * @returns {onreadystatechange}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536957.aspx
*/

document.prototype.onreadystatechange= new onreadystatechange();
/**
  * Property onresizeend
  * @type onresizeend
  * @returns {onresizeend}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536960.aspx
*/

document.prototype.onresizeend= new onresizeend();
/**
  * Property onresizestart
  * @type onresizestart
  * @returns {onresizestart}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536961.aspx
*/

document.prototype.onresizestart= new onresizestart();
/**
  * Property onselectionchange
  * @type onselectionchange
  * @returns {onselectionchange}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms537845.aspx
*/

document.prototype.onselectionchange= new onselectionchange();
/**
  * Property onstop
  * @type onstop
  * @returns {onstop}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536971.aspx
*/

document.prototype.onstop= new onstop();
/**
  * Property all
  * @type all
  * @returns {all}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms537434.aspx
*/

document.prototype.all= new all();
/**
  * Property anchors
  * @type anchors
  * @returns {anchors}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms537435.aspx
*/

document.prototype.anchors= new anchors();
/**
  * Property a
  * @type a
  * @returns {a}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535173.aspx
*/

document.prototype.a= new a();
/**
  * Property name
  * @type String
  * @returns {String}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534182.aspx
*/

document.prototype.name="";
/**
  * Property id
  * @type String
  * @returns {String}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533880.aspx
*/

document.prototype.id="";
/**
  * Property applets
  * @type applets
  * @returns {applets}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms537436.aspx
*/

document.prototype.applets= new applets();
/**
  * Property applet
  * @type applet
  * @returns {applet}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535183.aspx
*/

document.prototype.applet= new applet();
/**
  * Property childNodes
  * @type childNodes
  * @returns {childNodes}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms537445.aspx
*/

document.prototype.childNodes= new childNodes();
/**
  * Property TextNode
  * @type TextNode
  * @returns {TextNode}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535905.aspx
*/

document.prototype.TextNode= new TextNode();
/**
  * Property embeds
  * @type embeds
  * @returns {embeds}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms537450.aspx
*/

document.prototype.embeds= new embeds();
/**
  * Property embed
  * @type embed
  * @returns {embed}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535245.aspx
*/

document.prototype.embed= new embed();
/**
  * Property forms
  * @type forms
  * @returns {forms}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms537457.aspx
*/

document.prototype.forms= new forms();
/**
  * Property form
  * @type form
  * @returns {form}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535249.aspx
*/

document.prototype.form= new form();
/**
  * Property frames
  * @type frames
  * @returns {frames}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms537459.aspx
*/

document.prototype.frames= new frames();
/**
  * Property window
  * @type window
  * @returns {window}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535873.aspx
*/

document.prototype.window= new window();
/**
  * Property images
  * @type images
  * @returns {images}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms537461.aspx
*/

document.prototype.images= new images();
/**
  * Property img
  * @type img
  * @returns {img}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535259.aspx
*/

document.prototype.img= new img();
/**
  * Property links
  * @type links
  * @returns {links}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms537465.aspx
*/

document.prototype.links= new links();
/**
  * Property href
  * @type String
  * @returns {String}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533863.aspx
*/

document.prototype.href="";
/**
  * Property area
  * @type area
  * @returns {area}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535185.aspx
*/

document.prototype.area= new area();
/**
  * Property namespaces
  * @type namespaces
  * @returns {namespaces}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms537470.aspx
*/

document.prototype.namespaces= new namespaces();
/**
  * Property namespace
  * @type namespace
  * @returns {namespace}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535854.aspx
*/

document.prototype.namespace= new namespace();
/**
  * Property scripts
  * @type scripts
  * @returns {scripts}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms537487.aspx
*/

document.prototype.scripts= new scripts();
/**
  * Property script
  * @type script
  * @returns {script}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535892.aspx
*/

document.prototype.script= new script();
/**
  * Property styleSheets
  * @type styleSheets
  * @returns {styleSheets}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms531200.aspx
*/

document.prototype.styleSheets= new styleSheets();
/**
  * Property styleSheet
  * @type styleSheet
  * @returns {styleSheet}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535871.aspx
*/

document.prototype.styleSheet= new styleSheet();
/**
  * Property link
  * @type link
  * @returns {link}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535848.aspx
*/

document.prototype.link= new link();
/**
  * Property style
  * @type style
  * @returns {style}
  * @memberOf document
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535898.aspx
*/

document.prototype.style= new style();
