/*******************************************************************************
 * Copyright (c) 2007, 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 ******************************************************************************
 *
 **/
/**
  * Object event()
  * @type event
  * @super Object
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535863.aspx
*/

function event(){};
event.prototype= new Object();
/**
  * Property Abstract
  * @type Abstract
  * @returns {Abstract}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533126.aspx
*/

event.prototype.Abstract= new Abstract();
/**
  * Property altKey
  * @type altKey
  * @returns {altKey}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533075.aspx
*/

event.prototype.altKey= new altKey();
/**
  * Property altLeft
  * @type altLeft
  * @returns {altLeft}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533076.aspx
*/

event.prototype.altLeft= new altLeft();
/**
  * Property Banner
  * @type Banner
  * @returns {Banner}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533136.aspx
*/

event.prototype.Banner= new Banner();
/**
  * Property button
  * @type button
  * @returns {button}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533544.aspx
*/

event.prototype.button= new button();
/**
  * Property cancelBubble
  * @type cancelBubble
  * @returns {cancelBubble}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533545.aspx
*/

event.prototype.cancelBubble= new cancelBubble();
/**
  * Property clientX
  * @type clientX
  * @returns {clientX}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533567.aspx
*/

event.prototype.clientX= new clientX();
/**
  * Property clientY
  * @type clientY
  * @returns {clientY}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533568.aspx
*/

event.prototype.clientY= new clientY();
/**
  * Property contentOverflow
  * @type contentOverflow
  * @returns {contentOverflow}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533691.aspx
*/

event.prototype.contentOverflow= new contentOverflow();
/**
  * Property ctrlKey
  * @type ctrlKey
  * @returns {ctrlKey}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533699.aspx
*/

event.prototype.ctrlKey= new ctrlKey();
/**
  * Property ctrlLeft
  * @type ctrlLeft
  * @returns {ctrlLeft}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533700.aspx
*/

event.prototype.ctrlLeft= new ctrlLeft();
/**
  * Property dataFld
  * @type dataFld
  * @returns {dataFld}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533704.aspx
*/

event.prototype.dataFld= new dataFld();
/**
  * Property oncellchange
  * @type oncellchange
  * @returns {oncellchange}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536911.aspx
*/

event.prototype.oncellchange= new oncellchange();
/**
  * Property fromElement
  * @type fromElement
  * @returns {fromElement}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533773.aspx
*/

event.prototype.fromElement= new fromElement();
/**
  * Property keyCode
  * @type keyCode
  * @returns {keyCode}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533927.aspx
*/

event.prototype.keyCode= new keyCode();
/**
  * Property MoreInfo
  * @type MoreInfo
  * @returns {MoreInfo}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533294.aspx
*/

event.prototype.MoreInfo= new MoreInfo();
/**
  * Property nextPage
  * @type nextPage
  * @returns {nextPage}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534188.aspx
*/

event.prototype.nextPage= new nextPage();
/**
  * Property offsetX
  * @type offsetX
  * @returns {offsetX}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534305.aspx
*/

event.prototype.offsetX= new offsetX();
/**
  * Property offsetY
  * @type offsetY
  * @returns {offsetY}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534306.aspx
*/

event.prototype.offsetY= new offsetY();
/**
  * Property propertyName
  * @type propertyName
  * @returns {propertyName}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534352.aspx
*/

event.prototype.propertyName= new propertyName();
/**
  * Property qualifier
  * @type qualifier
  * @returns {qualifier}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534355.aspx
*/

event.prototype.qualifier= new qualifier();
/**
  * Property reason
  * @type reason
  * @returns {reason}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534362.aspx
*/

event.prototype.reason= new reason();
/**
  * Property recordset
  * @type recordset
  * @returns {recordset}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534364.aspx
*/

event.prototype.recordset= new recordset();
/**
  * Property repeat
  * @type repeat
  * @returns {repeat}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534367.aspx
*/

event.prototype.repeat= new repeat();
/**
  * Property onkeydown
  * @type onkeydown
  * @returns {onkeydown}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536938.aspx
*/

event.prototype.onkeydown= new onkeydown();
/**
  * Property returnValue
  * @type returnValue
  * @returns {returnValue}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534372.aspx
*/

event.prototype.returnValue= new returnValue();
/**
  * Property saveType
  * @type saveType
  * @returns {saveType}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534385.aspx
*/

event.prototype.saveType= new saveType();
/**
  * Property oncontentsave
  * @type oncontentsave
  * @returns {oncontentsave}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms531022.aspx
*/

event.prototype.oncontentsave= new oncontentsave();
/**
  * Property screenX
  * @type screenX
  * @returns {screenX}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534391.aspx
*/

event.prototype.screenX= new screenX();
/**
  * Property screenY
  * @type screenY
  * @returns {screenY}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534392.aspx
*/

event.prototype.screenY= new screenY();
/**
  * Property shiftKey
  * @type shiftKey
  * @returns {shiftKey}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534629.aspx
*/

event.prototype.shiftKey= new shiftKey();
/**
  * Property shiftLeft
  * @type shiftLeft
  * @returns {shiftLeft}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534630.aspx
*/

event.prototype.shiftLeft= new shiftLeft();
/**
  * Property srcElement
  * @type srcElement
  * @returns {srcElement}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534638.aspx
*/

event.prototype.srcElement= new srcElement();
/**
  * Property srcFilter
  * @type srcFilter
  * @returns {srcFilter}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534639.aspx
*/

event.prototype.srcFilter= new srcFilter();
/**
  * Property onfilterchange
  * @type onfilterchange
  * @returns {onfilterchange}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536932.aspx
*/

event.prototype.onfilterchange= new onfilterchange();
/**
  * Property srcUrn
  * @type srcUrn
  * @returns {srcUrn}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534640.aspx
*/

event.prototype.srcUrn= new srcUrn();
/**
  * Property toElement
  * @type toElement
  * @returns {toElement}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534684.aspx
*/

event.prototype.toElement= new toElement();
/**
  * Property type
  * @type type
  * @returns {type}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534697.aspx
*/

event.prototype.type= new type();
/**
  * Property userName
  * @type String
  * @returns {String}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms531053.aspx
*/

event.prototype.userName="";
/**
  * function useService(sElementID,sFriendlyName,oUseOptions)
  * @param {String} sElementID
  * @param {String} sFriendlyName
  * @param {useOptions} oUseOptions
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms531063.aspx
*/

event.prototype.useService=function(sElementID,sFriendlyName,oUseOptions){};
/**
  * Property wheelDelta
  * @type wheelDelta
  * @returns {wheelDelta}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535142.aspx
*/

event.prototype.wheelDelta= new wheelDelta();
/**
  * Property x
  * @type x
  * @returns {x}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535154.aspx
*/

event.prototype.x= new x();
/**
  * Property y
  * @type y
  * @returns {y}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535164.aspx
*/

event.prototype.y= new y();
/**
  * Property bookmarks
  * @type bookmarks
  * @returns {bookmarks}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms537441.aspx
*/

event.prototype.bookmarks= new bookmarks();
/**
  * Property dataTransfer
  * @type dataTransfer
  * @returns {dataTransfer}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535861.aspx
*/

event.prototype.dataTransfer= new dataTransfer();
/**
  * Property bookmarks
  * @type bookmarks
  * @returns {bookmarks}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms537441.aspx
*/

event.prototype.bookmarks= new bookmarks();
/**
  * Property boundElements
  * @type boundElements
  * @returns {boundElements}
  * @memberOf event
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms537442.aspx
*/

event.prototype.boundElements= new boundElements();
