/*******************************************************************************
 * Copyright (c) 2007, 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 ******************************************************************************
 *
 **/
/**
  * Object frame()
  * @type frame
  * @super Object
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535250.aspx
*/

function frame(){};
frame.prototype= new Object();
/**
  * Property allowTransparency
  * @type Boolean
  * @returns {Boolean}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533072.aspx
*/

frame.prototype.allowTransparency=false;
/**
  * Property borderColor
  * @type Object
  * @returns {Object}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533517.aspx
*/

frame.prototype.borderColor=new Object();
/**
  * Property canHaveHTML
  * @type Boolean
  * @returns {Boolean}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms537836.aspx
*/

frame.prototype.canHaveHTML=false;
/**
  * Property className
  * @type String
  * @returns {String}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533560.aspx
*/

frame.prototype.className="";
/**
  * Property contentWindow
  * @type window
  * @returns {window}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533692.aspx
*/

frame.prototype.contentWindow=new window();
/**
  * Property window
  * @type window
  * @returns {window}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535873.aspx
*/

frame.prototype.window= new window();
/**
  * Property iframe
  * @type iframe
  * @returns {iframe}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535258.aspx
*/

frame.prototype.iframe= new iframe();
/**
  * Property dataFld
  * @type String
  * @returns {String}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533703.aspx
*/

frame.prototype.dataFld="";
/**
  * Property dataSrc
  * @type String
  * @returns {String}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533709.aspx
*/

frame.prototype.dataSrc="";
/**
  * Property firstChild
  * @type Object
  * @returns {Object}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533755.aspx
*/

frame.prototype.firstChild=new Object();
/**
  * Property childNodes
  * @type childNodes
  * @returns {childNodes}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms537445.aspx
*/

frame.prototype.childNodes= new childNodes();
/**
  * Property frameBorder
  * @type String
  * @returns {String}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533770.aspx
*/

frame.prototype.frameBorder="";
/**
  * Property height
  * @type Object
  * @returns {Object}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533781.aspx
*/

frame.prototype.height=new Object();
/**
  * Property hideFocus
  * @type Boolean
  * @returns {Boolean}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533783.aspx
*/

frame.prototype.hideFocus=false;
/**
  * Property id
  * @type String
  * @returns {String}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533880.aspx
*/

frame.prototype.id="";
/**
  * Property isContentEditable
  * @type Boolean
  * @returns {Boolean}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms537838.aspx
*/

frame.prototype.isContentEditable=false;
/**
  * Property isDisabled
  * @type Boolean
  * @returns {Boolean}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533902.aspx
*/

frame.prototype.isDisabled=false;
/**
  * Property isMultiLine
  * @type Boolean
  * @returns {Boolean}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms537839.aspx
*/

frame.prototype.isMultiLine=false;
/**
  * Property isTextEdit
  * @type Boolean
  * @returns {Boolean}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533920.aspx
*/

frame.prototype.isTextEdit=false;
/**
  * Property TextRange
  * @type TextRange
  * @returns {TextRange}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535872.aspx
*/

frame.prototype.TextRange= new TextRange();
/**
  * Property lang
  * @type String
  * @returns {String}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533935.aspx
*/

frame.prototype.lang="";
/**
  * Property language
  * @type String
  * @returns {String}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533940.aspx
*/

frame.prototype.language="";
/**
  * Property lastChild
  * @type Object
  * @returns {Object}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533943.aspx
*/

frame.prototype.lastChild=new Object();
/**
  * Property longDesc
  * @type String
  * @returns {String}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534132.aspx
*/

frame.prototype.longDesc="";
/**
  * Property marginHeight
  * @type Object
  * @returns {Object}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534145.aspx
*/

frame.prototype.marginHeight=new Object();
/**
  * Property marginWidth
  * @type Object
  * @returns {Object}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534153.aspx
*/

frame.prototype.marginWidth=new Object();
/**
  * Property name
  * @type String
  * @returns {String}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534182.aspx
*/

frame.prototype.name="";
/**
  * Property nextSibling
  * @type Object
  * @returns {Object}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534189.aspx
*/

frame.prototype.nextSibling=new Object();
/**
  * Property nodeName
  * @type String
  * @returns {String}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534190.aspx
*/

frame.prototype.nodeName="";
/**
  * Property nodeType
  * @type Number
  * @returns {Number}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534191.aspx
*/

frame.prototype.nodeType=0;
/**
  * Property nodeValue
  * @type Object
  * @returns {Object}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534192.aspx
*/

frame.prototype.nodeValue=new Object();
/**
  * Property noResize
  * @type Boolean
  * @returns {Boolean}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534194.aspx
*/

frame.prototype.noResize=false;
/**
  * Property offsetHeight
  * @type Number
  * @returns {Number}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534199.aspx
*/

frame.prototype.offsetHeight=0;
/**
  * Property offsetParent
  * @type Object
  * @returns {Object}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534302.aspx
*/

frame.prototype.offsetParent=new Object();
/**
  * Property offsetLeft
  * @type Number
  * @returns {Number}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534200.aspx
*/

frame.prototype.offsetLeft=0;
/**
  * Property offsetTop
  * @type Number
  * @returns {Number}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534303.aspx
*/

frame.prototype.offsetTop=0;
/**
  * Property offsetWidth
  * @type Number
  * @returns {Number}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534304.aspx
*/

frame.prototype.offsetWidth=0;
/**
  * Property ownerDocument
  * @type document
  * @returns {document}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534315.aspx
*/

frame.prototype.ownerDocument=new document();
/**
  * Property document
  * @type document
  * @returns {document}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms531073.aspx
*/

frame.prototype.document= new document();
/**
  * Property parentElement
  * @type Object
  * @returns {Object}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534327.aspx
*/

frame.prototype.parentElement=new Object();
/**
  * Property parentNode
  * @type Object
  * @returns {Object}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534328.aspx
*/

frame.prototype.parentNode=new Object();
/**
  * Property parentTextEdit
  * @type Object
  * @returns {Object}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534330.aspx
*/

frame.prototype.parentTextEdit=new Object();
/**
  * Property previousSibling
  * @type Object
  * @returns {Object}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534350.aspx
*/

frame.prototype.previousSibling=new Object();
/**
  * Property readyState
  * @type String
  * @returns {String}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534359.aspx
*/

frame.prototype.readyState="";
/**
  * Property recordNumber
  * @type Object
  * @returns {Object}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534363.aspx
*/

frame.prototype.recordNumber=new Object();
/**
  * Property scopeName
  * @type String
  * @returns {String}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534388.aspx
*/

frame.prototype.scopeName="";
/**
  * Property scrolling
  * @type String
  * @returns {String}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534616.aspx
*/

frame.prototype.scrolling="";
/**
  * Property self
  * @type Object
  * @returns {Object}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534627.aspx
*/

frame.prototype.self=new Object();
/**
  * Property sourceIndex
  * @type Number
  * @returns {Number}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534635.aspx
*/

frame.prototype.sourceIndex=0;
/**
  * Property all
  * @type all
  * @returns {all}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms537434.aspx
*/

frame.prototype.all= new all();
/**
  * Property src
  * @type String
  * @returns {String}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534643.aspx
*/

frame.prototype.src="";
/**
  * Property tabIndex
  * @type Number
  * @returns {Number}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534654.aspx
*/

frame.prototype.tabIndex=0;
/**
  * Property tagName
  * @type String
  * @returns {String}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534657.aspx
*/

frame.prototype.tagName="";
/**
  * Property tagUrn
  * @type String
  * @returns {String}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534658.aspx
*/

frame.prototype.tagUrn="";
/**
  * Property title
  * @type String
  * @returns {String}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534683.aspx
*/

frame.prototype.title="";
/**
  * Property uniqueID
  * @type String
  * @returns {String}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534704.aspx
*/

frame.prototype.uniqueID="";
/**
  * Property width
  * @type Object
  * @returns {Object}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535147.aspx
*/

frame.prototype.width=new Object();
/**
  * function addBehavior(sUrl)
  * @param {String} sUrl
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535922.aspx
*/

frame.prototype.addBehavior=function(sUrl){};
/**
  * function applyElement(oNewElement)
  * @param {String} oNewElement
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536341.aspx
*/

frame.prototype.applyElement=function(oNewElement){};
/**
  * function attachEvent(sEvent,fpNotify)
  * @param {String} sEvent
  * @param {Boolean} fpNotify
  * @type Boolean
  * @returns {Boolean}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536343.aspx
*/

frame.prototype.attachEvent=function(sEvent,fpNotify){};
/**
  * function blur()
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536347.aspx
*/

frame.prototype.blur=function(){};
/**
  * Property onblur
  * @type onblur
  * @returns {onblur}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536909.aspx
*/

frame.prototype.onblur= new onblur();
/**
  * function clearAttributes()
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536350.aspx
*/

frame.prototype.clearAttributes=function(){};
/**
  * function cloneNode(bCloneChildren)
  * @param {Boolean} bCloneChildren
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536365.aspx
*/

frame.prototype.cloneNode=function(bCloneChildren){};
/**
  * function componentFromPoint(iCoordX,iCoordY)
  * @param {Number} iCoordX
  * @param {Number} iCoordY
  * @type String
  * @returns {String}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536375.aspx
*/

frame.prototype.componentFromPoint=function(iCoordX,iCoordY){};
/**
  * function contains(oElement)
  * @param {Boolean} oElement
  * @type Boolean
  * @returns {Boolean}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536377.aspx
*/

frame.prototype.contains=function(oElement){};
/**
  * function detachEvent(sEvent,fpNotify)
  * @param {String} sEvent
  * @param {attachEvent} fpNotify
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536411.aspx
*/

frame.prototype.detachEvent=function(sEvent,fpNotify){};
/**
  * function dragDrop()
  * @type Boolean
  * @returns {Boolean}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536415.aspx
*/

frame.prototype.dragDrop=function(){};
/**
  * function fireEvent(sEvent,oEventObject)
  * @param {String} sEvent
  * @param {event} oEventObject
  * @type Boolean
  * @returns {Boolean}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536423.aspx
*/

frame.prototype.fireEvent=function(sEvent,oEventObject){};
/**
  * function focus()
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536425.aspx
*/

frame.prototype.focus=function(){};
/**
  * Property onfocus
  * @type onfocus
  * @returns {onfocus}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536934.aspx
*/

frame.prototype.onfocus= new onfocus();
/**
  * function getAdjacentText(sWhere)
  * @param {String} sWhere
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536427.aspx
*/

frame.prototype.getAdjacentText=function(sWhere){};
/**
  * function getAttribute(sAttrName,iFlags,sAttrName)
  * @param {String} sAttrName
  * @param {Number} iFlags
  * @param {getAttribute} sAttrName
  * @type Object
  * @returns {Object}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536429.aspx
*/

frame.prototype.getAttribute=function(sAttrName,iFlags,sAttrName){};
/**
  * function getAttributeNode(sName)
  * @param {String} sName
  * @type attribute
  * @returns {attribute}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536430.aspx
*/

frame.prototype.getAttributeNode=function(sName){};
/**
  * Property attribute
  * @type attribute
  * @returns {attribute}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535187.aspx
*/

frame.prototype.attribute= new attribute();
/**
  * Property name
  * @type String
  * @returns {String}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534184.aspx
*/

frame.prototype.name="";
/**
  * function getElementsByTagName(sTagName)
  * @param {String} sTagName
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536439.aspx
*/

frame.prototype.getElementsByTagName=function(sTagName){};
/**
  * function hasChildNodes()
  * @type HTML Elements
  * @returns {HTML}
 Elements
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536445.aspx
*/

frame.prototype.hasChildNodes=function(){};
/**
  * function insertAdjacentElement(sWhere,oElement)
  * @param {String} sWhere
  * @param {insertAdjacentElement} oElement
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536451.aspx
*/

frame.prototype.insertAdjacentElement=function(sWhere,oElement){};
/**
  * function mergeAttributes(oSource,bPreserve)
  * @param {Object} oSource
  * @param {Boolean} bPreserve
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536614.aspx
*/

frame.prototype.mergeAttributes=function(oSource,bPreserve){};
/**
  * function normalize()
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536646.aspx
*/

frame.prototype.normalize=function(){};
/**
  * function removeAttribute(sName,iCaseSensitive)
  * @param {String} sName
  * @param {Number} iCaseSensitive
  * @type Boolean
  * @returns {Boolean}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536696.aspx
*/

frame.prototype.removeAttribute=function(sName,iCaseSensitive){};
/**
  * function removeAttributeNode(oSrcAttribute)
  * @param {attribute} oSrcAttribute
  * @type attribute
  * @returns {attribute}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536698.aspx
*/

frame.prototype.removeAttributeNode=function(oSrcAttribute){};
/**
  * function removeBehavior(iID)
  * @param {Number} iID
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536700.aspx
*/

frame.prototype.removeBehavior=function(iID){};
/**
  * function replaceAdjacentText(sWhere,sReplaceText)
  * @param {String} sWhere
  * @param {String} sReplaceText
  * @type String
  * @returns {String}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536714.aspx
*/

frame.prototype.replaceAdjacentText=function(sWhere,sReplaceText){};
/**
  * function setActive()
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536738.aspx
*/

frame.prototype.setActive=function(){};
/**
  * function setAttribute(sName,vValue)
  * @param {String} sName
  * @param {Number} vValue
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536739.aspx
*/

frame.prototype.setAttribute=function(sName,vValue){};
/**
  * function setAttributeNode(oSrcAttribute)
  * @param {attribute} oSrcAttribute
  * @type attribute
  * @returns {attribute}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536741.aspx
*/

frame.prototype.setAttributeNode=function(oSrcAttribute){};
/**
  * function swapNode(oNode)
  * @param {Object} oNode
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536774.aspx
*/

frame.prototype.swapNode=function(oNode){};
/**
  * Property onactivate
  * @type onactivate
  * @returns {onactivate}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536787.aspx
*/

frame.prototype.onactivate= new onactivate();
/**
  * Property activeElement
  * @type Object
  * @returns {Object}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533065.aspx
*/

frame.prototype.activeElement=new Object();
/**
  * Property onafterupdate
  * @type onafterupdate
  * @returns {onafterupdate}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536790.aspx
*/

frame.prototype.onafterupdate= new onafterupdate();
/**
  * Property onbeforedeactivate
  * @type onbeforedeactivate
  * @returns {onbeforedeactivate}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536903.aspx
*/

frame.prototype.onbeforedeactivate= new onbeforedeactivate();
/**
  * Property onbeforeupdate
  * @type onbeforeupdate
  * @returns {onbeforeupdate}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536908.aspx
*/

frame.prototype.onbeforeupdate= new onbeforeupdate();
/**
  * Property onblur
  * @type onblur
  * @returns {onblur}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536909.aspx
*/

frame.prototype.onblur= new onblur();
/**
  * Property oncontrolselect
  * @type oncontrolselect
  * @returns {oncontrolselect}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms537844.aspx
*/

frame.prototype.oncontrolselect= new oncontrolselect();
/**
  * Property ondeactivate
  * @type ondeactivate
  * @returns {ondeactivate}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536922.aspx
*/

frame.prototype.ondeactivate= new ondeactivate();
/**
  * Property onerrorupdate
  * @type onerrorupdate
  * @returns {onerrorupdate}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536931.aspx
*/

frame.prototype.onerrorupdate= new onerrorupdate();
/**
  * Property onfocus
  * @type onfocus
  * @returns {onfocus}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536934.aspx
*/

frame.prototype.onfocus= new onfocus();
/**
  * Property onload
  * @type onload
  * @returns {onload}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536942.aspx
*/

frame.prototype.onload= new onload();
/**
  * Property onmove
  * @type onmove
  * @returns {onmove}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536952.aspx
*/

frame.prototype.onmove= new onmove();
/**
  * Property onmoveend
  * @type onmoveend
  * @returns {onmoveend}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536953.aspx
*/

frame.prototype.onmoveend= new onmoveend();
/**
  * Property onmovestart
  * @type onmovestart
  * @returns {onmovestart}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536954.aspx
*/

frame.prototype.onmovestart= new onmovestart();
/**
  * Property onresize
  * @type onresize
  * @returns {onresize}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536959.aspx
*/

frame.prototype.onresize= new onresize();
/**
  * Property onresizeend
  * @type onresizeend
  * @returns {onresizeend}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536960.aspx
*/

frame.prototype.onresizeend= new onresizeend();
/**
  * Property onresizestart
  * @type onresizestart
  * @returns {onresizestart}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536961.aspx
*/

frame.prototype.onresizestart= new onresizestart();
/**
  * Property all
  * @type all
  * @returns {all}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms537434.aspx
*/

frame.prototype.all= new all();
/**
  * Property attributes
  * @type attributes
  * @returns {attributes}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms537438.aspx
*/

frame.prototype.attributes= new attributes();
/**
  * Property behaviorUrns
  * @type behaviorUrns
  * @returns {behaviorUrns}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms537439.aspx
*/

frame.prototype.behaviorUrns= new behaviorUrns();
/**
  * Property childNodes
  * @type childNodes
  * @returns {childNodes}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms537445.aspx
*/

frame.prototype.childNodes= new childNodes();
/**
  * Property TextNode
  * @type TextNode
  * @returns {TextNode}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535905.aspx
*/

frame.prototype.TextNode= new TextNode();
/**
  * Property children
  * @type children
  * @returns {children}
  * @memberOf frame
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms537446.aspx
*/

frame.prototype.children= new children();
