/*******************************************************************************
 * Copyright (c) 2007, 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 ******************************************************************************
 *
 **/
/**
  * Object location()
  * @type location
  * @super Object
  * @memberOf location
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535866.aspx
*/

function location(){};
location.prototype= new Object();
/**
  * Property hash
  * @type String
  * @returns {String}
  * @memberOf location
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533775.aspx
*/

location.prototype.hash="";
/**
  * Property href
  * @type String
  * @returns {String}
  * @memberOf location
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533863.aspx
*/

location.prototype.href="";
/**
  * Property host
  * @type String
  * @returns {String}
  * @memberOf location
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533784.aspx
*/

location.prototype.host="";
/**
  * Property hostname
  * @type String
  * @returns {String}
  * @memberOf location
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533785.aspx
*/

location.prototype.hostname="";
/**
  * Property port
  * @type String
  * @returns {String}
  * @memberOf location
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534342.aspx
*/

location.prototype.port="";
/**
  * Property href
  * @type String
  * @returns {String}
  * @memberOf location
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533867.aspx
*/

location.prototype.href="";
/**
  * Property pathname
  * @type String
  * @returns {String}
  * @memberOf location
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534332.aspx
*/

location.prototype.pathname="";
/**
  * Property protocol
  * @type String
  * @returns {String}
  * @memberOf location
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534353.aspx
*/

location.prototype.protocol="";
/**
  * Property search
  * @type String
  * @returns {String}
  * @memberOf location
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534620.aspx
*/

location.prototype.search="";
/**
  * function assign(sURL)
  * @param {String} sURL
  * @memberOf location
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536342.aspx
*/

location.prototype.assign=function(sURL){};
/**
  * function assign(sURL)
  * @param {String} sURL
  * @memberOf location
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536342.aspx
*/

location.prototype.assign=function(sURL){};
/**
  * function reload(bReloadSource)
  * @param {Boolean} bReloadSource
  * @memberOf location
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536691.aspx
*/

location.prototype.reload=function(bReloadSource){};
/**
  * function replace(sURL)
  * @param {String} sURL
  * @memberOf location
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536712.aspx
*/

location.prototype.replace=function(sURL){};
