/*******************************************************************************
 * Copyright (c) 2007, 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 ******************************************************************************
 *
 **/
/**
  * Object namespace()
  * @type namespace
  * @super Object
  * @memberOf namespace
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535854.aspx
*/

function namespace(){};
namespace.prototype= new Object();
/**
  * Property name
  * @type String
  * @returns {String}
  * @memberOf namespace
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534185.aspx
*/

namespace.prototype.name="";
/**
  * Property readyState
  * @type Object
  * @returns {Object}
  * @memberOf namespace
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534358.aspx
*/

namespace.prototype.readyState=new Object();
/**
  * Property urn
  * @type String
  * @returns {String}
  * @memberOf namespace
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534710.aspx
*/

namespace.prototype.urn="";
/**
  * Property onreadystatechange
  * @type onreadystatechange
  * @returns {onreadystatechange}
  * @memberOf namespace
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536957.aspx
*/

namespace.prototype.onreadystatechange= new onreadystatechange();
/**
  * function attachEvent(sEvent,fpNotify)
  * @param {String} sEvent
  * @param {Boolean} fpNotify
  * @type Boolean
  * @returns {Boolean}
  * @memberOf namespace
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536343.aspx
*/

namespace.prototype.attachEvent=function(sEvent,fpNotify){};
/**
  * function detachEvent(sEvent,fpNotify)
  * @param {String} sEvent
  * @param {attachEvent} fpNotify
  * @memberOf namespace
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536411.aspx
*/

namespace.prototype.detachEvent=function(sEvent,fpNotify){};
/**
  * function doImport(sUrl)
  * @param {String} sUrl
  * @memberOf namespace
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536412.aspx
*/

namespace.prototype.doImport=function(sUrl){};
/**
  * Property onreadystatechange
  * @type onreadystatechange
  * @returns {onreadystatechange}
  * @memberOf namespace
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536957.aspx
*/

namespace.prototype.onreadystatechange= new onreadystatechange();
