/*******************************************************************************
 * Copyright (c) 2007, 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 ******************************************************************************
 *
 **/
/**
  * Object options()
  * @type options
  * @super Array
  * @memberOf options
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms537472.aspx
*/

function options(){};
options.prototype= new Array();
/**
  * Property length
  * @type Number
  * @returns {Number}
  * @memberOf options
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534101.aspx
*/

options.prototype.length=0;
/**
  * function add(oElement,iIndex)
  * @param {Object} oElement
  * @param {Number} iIndex
  * @memberOf options
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535921.aspx
*/

options.prototype.add=function(oElement,iIndex){};
/**
  * function add(oElement,iIndex)
  * @param {Object} oElement
  * @param {Number} iIndex
  * @memberOf options
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535921.aspx
*/

options.prototype.add=function(oElement,iIndex){};
/**
  * Property areas
  * @type areas
  * @returns {areas}
  * @memberOf options
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms537437.aspx
*/

options.prototype.areas= new areas();
/**
  * Property controlRange
  * @type controlRange
  * @returns {controlRange}
  * @memberOf options
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms537447.aspx
*/

options.prototype.controlRange= new controlRange();
/**
  * function item(vIndex,iSubindex)
  * @param {Number} vIndex
  * @param {Number} iSubindex
  * @memberOf options
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536460.aspx
*/

options.prototype.item=function(vIndex,iSubindex){};
/**
  * Property all
  * @type all
  * @returns {all}
  * @memberOf options
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms537434.aspx
*/

options.prototype.all= new all();
/**
  * function namedItem(sName)
  * @param {String} sName
  * @memberOf options
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536634.aspx
*/

options.prototype.namedItem=function(sName){};
/**
  * function remove(iIndex)
  * @param {Number} iIndex
  * @memberOf options
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536694.aspx
*/

options.prototype.remove=function(iIndex){};
/**
  * function tags(sTag)
  * @param {Variant} sTag
  * @memberOf options
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536776.aspx
*/

options.prototype.tags=function(sTag){};
/**
  * function urns(sUrn)
  * @param {String} sUrn
  * @memberOf options
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536780.aspx
*/

options.prototype.urns=function(sUrn){};
