/*******************************************************************************
 * Copyright (c) 2007, 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 ******************************************************************************
 *
 **/
/**
  * Object screen()
  * @type screen
  * @super Object
  * @memberOf screen
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535868.aspx
*/

function screen(){};
screen.prototype= new Object();
/**
  * Property availHeight
  * @type Number
  * @returns {Number}
  * @memberOf screen
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533487.aspx
*/

screen.prototype.availHeight=0;
/**
  * Property availWidth
  * @type Number
  * @returns {Number}
  * @memberOf screen
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533488.aspx
*/

screen.prototype.availWidth=0;
/**
  * Property bufferDepth
  * @type Number
  * @returns {Number}
  * @memberOf screen
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533543.aspx
*/

screen.prototype.bufferDepth=0;
/**
  * Property colorDepth
  * @type Number
  * @returns {Number}
  * @memberOf screen
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533578.aspx
*/

screen.prototype.colorDepth=0;
/**
  * Property deviceXDPI
  * @type Number
  * @returns {Number}
  * @memberOf screen
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533721.aspx
*/

screen.prototype.deviceXDPI=0;
/**
  * Property deviceYDPI
  * @type Number
  * @returns {Number}
  * @memberOf screen
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533722.aspx
*/

screen.prototype.deviceYDPI=0;
/**
  * Property fontSmoothingEnabled
  * @type Boolean
  * @returns {Boolean}
  * @memberOf screen
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533763.aspx
*/

screen.prototype.fontSmoothingEnabled=false;
/**
  * Property height
  * @type Number
  * @returns {Number}
  * @memberOf screen
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533779.aspx
*/

screen.prototype.height=0;
/**
  * Property logicalXDPI
  * @type Number
  * @returns {Number}
  * @memberOf screen
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534128.aspx
*/

screen.prototype.logicalXDPI=0;
/**
  * Property logicalYDPI
  * @type Number
  * @returns {Number}
  * @memberOf screen
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534130.aspx
*/

screen.prototype.logicalYDPI=0;
/**
  * Property updateInterval
  * @type Number
  * @returns {Number}
  * @memberOf screen
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534707.aspx
*/

screen.prototype.updateInterval=0;
/**
  * Property width
  * @type Number
  * @returns {Number}
  * @memberOf screen
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535144.aspx
*/

screen.prototype.width=0;
/**
  * Property window
  * @type window
  * @returns {window}
  * @memberOf screen
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535873.aspx
*/

screen.prototype.window= new window();
