/*******************************************************************************
 * Copyright (c) 2007, 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 ******************************************************************************
 *
 **/
/**
  * Object style()
  * @type style
  * @super Object
  * @memberOf style
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535898.aspx
*/

function style(){};
style.prototype= new Object();
/**
  * Property disabled
  * @type Boolean
  * @returns {Boolean}
  * @memberOf style
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533732.aspx
*/

style.prototype.disabled=false;
/**
  * Property id
  * @type String
  * @returns {String}
  * @memberOf style
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533880.aspx
*/

style.prototype.id="";
/**
  * Property innerHTML
  * @type String
  * @returns {String}
  * @memberOf style
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533897.aspx
*/

style.prototype.innerHTML="";
/**
  * Property behaviorUrns
  * @type behaviorUrns
  * @returns {behaviorUrns}
  * @memberOf style
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms537439.aspx
*/

style.prototype.behaviorUrns= new behaviorUrns();
/**
  * function addBehavior(sUrl)
  * @param {String} sUrl
  * @memberOf style
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535922.aspx
*/

style.prototype.addBehavior=function(sUrl){};
/**
  * function dragDrop()
  * @type Boolean
  * @returns {Boolean}
  * @memberOf style
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536415.aspx
*/

style.prototype.dragDrop=function(){};
/**
  * function removeBehavior(iID)
  * @param {Number} iID
  * @memberOf style
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536700.aspx
*/

style.prototype.removeBehavior=function(iID){};
/**
  * function removeNode(bRemoveChildren)
  * @param {Boolean} bRemoveChildren
  * @memberOf style
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536708.aspx
*/

style.prototype.removeNode=function(bRemoveChildren){};
/**
  * Property onerror
  * @type onerror
  * @returns {onerror}
  * @memberOf style
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536930.aspx
*/

style.prototype.onerror= new onerror();
/**
  * Property onreadystatechange
  * @type onreadystatechange
  * @returns {onreadystatechange}
  * @memberOf style
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536957.aspx
*/

style.prototype.onreadystatechange= new onreadystatechange();
/**
  * Property behaviorUrns
  * @type behaviorUrns
  * @returns {behaviorUrns}
  * @memberOf style
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms537439.aspx
*/

style.prototype.behaviorUrns= new behaviorUrns();
