/*******************************************************************************
 * Copyright (c) 2007, 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 ******************************************************************************
 *
 **/
/**
  * Object TextNode()
  * @type TextNode
  * @super Object
  * @memberOf TextNode
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535905.aspx
*/

function TextNode(){};
TextNode.prototype= new Object();
/**
  * Property data
  * @type String
  * @returns {String}
  * @memberOf TextNode
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533711.aspx
*/

TextNode.prototype.data="";
/**
  * Property length
  * @type Number
  * @returns {Number}
  * @memberOf TextNode
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534103.aspx
*/

TextNode.prototype.length=0;
/**
  * Property nextSibling
  * @type Object
  * @returns {Object}
  * @memberOf TextNode
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534189.aspx
*/

TextNode.prototype.nextSibling=new Object();
/**
  * Property nodeName
  * @type String
  * @returns {String}
  * @memberOf TextNode
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534190.aspx
*/

TextNode.prototype.nodeName="";
/**
  * Property nodeType
  * @type Number
  * @returns {Number}
  * @memberOf TextNode
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534191.aspx
*/

TextNode.prototype.nodeType=0;
/**
  * Property nodeValue
  * @type Object
  * @returns {Object}
  * @memberOf TextNode
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534192.aspx
*/

TextNode.prototype.nodeValue=new Object();
/**
  * Property parentNode
  * @type Object
  * @returns {Object}
  * @memberOf TextNode
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534328.aspx
*/

TextNode.prototype.parentNode=new Object();
/**
  * Property previousSibling
  * @type Object
  * @returns {Object}
  * @memberOf TextNode
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534350.aspx
*/

TextNode.prototype.previousSibling=new Object();
/**
  * function appendData(sString)
  * @param {String} sString
  * @memberOf TextNode
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535935.aspx
*/

TextNode.prototype.appendData=function(sString){};
/**
  * function appendData(sString)
  * @param {String} sString
  * @memberOf TextNode
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535935.aspx
*/

TextNode.prototype.appendData=function(sString){};
/**
  * function deleteData(nOffset,nCount)
  * @param {Number} nOffset
  * @param {Number} nCount
  * @memberOf TextNode
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536407.aspx
*/

TextNode.prototype.deleteData=function(nOffset,nCount){};
/**
  * function insertData(nOffset,sString)
  * @param {Number} nOffset
  * @param {String} sString
  * @memberOf TextNode
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536456.aspx
*/

TextNode.prototype.insertData=function(nOffset,sString){};
/**
  * function replaceData(nOffset,nCount,sString)
  * @param {Number} nOffset
  * @param {Number} nCount
  * @param {String} sString
  * @memberOf TextNode
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536718.aspx
*/

TextNode.prototype.replaceData=function(nOffset,nCount,sString){};
/**
  * function splitText(iIndex)
  * @param {Number} iIndex
  * @memberOf TextNode
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536764.aspx
*/

TextNode.prototype.splitText=function(iIndex){};
/**
  * function substringData(nOffset,nCount)
  * @param {Number} nOffset
  * @param {Number} nCount
  * @memberOf TextNode
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536772.aspx
*/

TextNode.prototype.substringData=function(nOffset,nCount){};
