/*******************************************************************************
 * Copyright (c) 2007, 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 ******************************************************************************
 *
 **/
/**
  * Object TextRange()
  * @type TextRange
  * @super Object
  * @memberOf TextRange
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535872.aspx
*/

function TextRange(){};
TextRange.prototype= new Object();
/**
  * Property boundingHeight
  * @type Number
  * @returns {Number}
  * @memberOf TextRange
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533538.aspx
*/

TextRange.prototype.boundingHeight=0;
/**
  * Property boundingLeft
  * @type Number
  * @returns {Number}
  * @memberOf TextRange
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533539.aspx
*/

TextRange.prototype.boundingLeft=0;
/**
  * Property boundingTop
  * @type Number
  * @returns {Number}
  * @memberOf TextRange
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533540.aspx
*/

TextRange.prototype.boundingTop=0;
/**
  * Property boundingWidth
  * @type Number
  * @returns {Number}
  * @memberOf TextRange
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533541.aspx
*/

TextRange.prototype.boundingWidth=0;
/**
  * Property htmlText
  * @type String
  * @returns {String}
  * @memberOf TextRange
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms533874.aspx
*/

TextRange.prototype.htmlText="";
/**
  * Property offsetLeft
  * @type Number
  * @returns {Number}
  * @memberOf TextRange
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534200.aspx
*/

TextRange.prototype.offsetLeft=0;
/**
  * Property offsetParent
  * @type Object
  * @returns {Object}
  * @memberOf TextRange
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534302.aspx
*/

TextRange.prototype.offsetParent=new Object();
/**
  * Property offsetTop
  * @type Number
  * @returns {Number}
  * @memberOf TextRange
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534303.aspx
*/

TextRange.prototype.offsetTop=0;
/**
  * Property text
  * @type String
  * @returns {String}
  * @memberOf TextRange
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms534676.aspx
*/

TextRange.prototype.text="";
/**
  * function collapse(bStart)
  * @param {Boolean} bStart
  * @memberOf TextRange
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536371.aspx
*/

TextRange.prototype.collapse=function(bStart){};
/**
  * function collapse(bStart)
  * @param {Boolean} bStart
  * @memberOf TextRange
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536371.aspx
*/

TextRange.prototype.collapse=function(bStart){};
/**
  * function compareEndPoints(sType,oRange,oRange,oRange)
  * @param {String} sType
  * @param {TextRange} oRange
  * @param {TextRange} oRange
  * @param {TextRange} oRange
  * @memberOf TextRange
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536373.aspx
*/

TextRange.prototype.compareEndPoints=function(sType,oRange,oRange,oRange){};
/**
  * function duplicate()
  * @type TextRange
  * @returns {TextRange}
  * @memberOf TextRange
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536416.aspx
*/

TextRange.prototype.duplicate=function(){};
/**
  * function execCommand(sCommand,bUserInterface,vValue)
  * @param {String} sCommand
  * @param {Boolean} bUserInterface
  * @param {Variant} vValue
  * @memberOf TextRange
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536419.aspx
*/

TextRange.prototype.execCommand=function(sCommand,bUserInterface,vValue){};
/**
  * function expand(sUnit)
  * @param {String} sUnit
  * @type Boolean
  * @returns {Boolean}
  * @memberOf TextRange
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536421.aspx
*/

TextRange.prototype.expand=function(sUnit){};
/**
  * function getBookmark()
  * @memberOf TextRange
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536432.aspx
*/

TextRange.prototype.getBookmark=function(){};
/**
  * function moveToBookmark(sBookmark)
  * @param {String} sBookmark
  * @type Boolean
  * @returns {Boolean}
  * @memberOf TextRange
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536628.aspx
*/

TextRange.prototype.moveToBookmark=function(sBookmark){};
/**
  * function getBoundingClientRect()
  * @type TextRectangle
  * @returns {TextRectangle}
  * @memberOf TextRange
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536433.aspx
*/

TextRange.prototype.getBoundingClientRect=function(){};
/**
  * Property TextRectangle
  * @type TextRectangle
  * @returns {TextRectangle}
  * @memberOf TextRange
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms535906.aspx
*/

TextRange.prototype.TextRectangle= new TextRectangle();
/**
  * function getClientRects()
  * @memberOf TextRange
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536435.aspx
*/

TextRange.prototype.getClientRects=function(){};
/**
  * function inRange(oRange)
  * @param {Boolean} oRange
  * @type Boolean
  * @returns {Boolean}
  * @memberOf TextRange
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536450.aspx
*/

TextRange.prototype.inRange=function(oRange){};
/**
  * function isEqual(oCompareRange)
  * @param {TextRange} oCompareRange
  * @type Boolean
  * @returns {Boolean}
  * @memberOf TextRange
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536458.aspx
*/

TextRange.prototype.isEqual=function(oCompareRange){};
/**
  * function move(sUnit,iCount)
  * @param {String} sUnit
  * @param {Number} iCount
  * @type Number
  * @returns {Number}
  * @memberOf TextRange
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536616.aspx
*/

TextRange.prototype.move=function(sUnit,iCount){};
/**
  * function moveEnd(sUnit,iCount)
  * @param {String} sUnit
  * @param {Number} iCount
  * @memberOf TextRange
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536620.aspx
*/

TextRange.prototype.moveEnd=function(sUnit,iCount){};
/**
  * function moveStart(sUnit,iCount)
  * @param {String} sUnit
  * @param {Number} iCount
  * @type Number
  * @returns {Number}
  * @memberOf TextRange
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536623.aspx
*/

TextRange.prototype.moveStart=function(sUnit,iCount){};
/**
  * function moveToElementText(oElement)
  * @param {Object} oElement
  * @memberOf TextRange
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536630.aspx
*/

TextRange.prototype.moveToElementText=function(oElement){};
/**
  * function moveToPoint(iX,iY)
  * @param {Number} iX
  * @param {Number} iY
  * @memberOf TextRange
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536632.aspx
*/

TextRange.prototype.moveToPoint=function(iX,iY){};
/**
  * function parentElement()
  * @memberOf TextRange
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536654.aspx
*/

TextRange.prototype.parentElement=function(){};
/**
  * function pasteHTML(sHTMLText)
  * @param {String} sHTMLText
  * @memberOf TextRange
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536656.aspx
*/

TextRange.prototype.pasteHTML=function(sHTMLText){};
/**
  * function queryCommandEnabled(sCmdID)
  * @param {String} sCmdID
  * @type Boolean
  * @returns {Boolean}
  * @memberOf TextRange
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536676.aspx
*/

TextRange.prototype.queryCommandEnabled=function(sCmdID){};
/**
  * function queryCommandIndeterm(sCmdID)
  * @param {String} sCmdID
  * @type Boolean
  * @returns {Boolean}
  * @memberOf TextRange
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536678.aspx
*/

TextRange.prototype.queryCommandIndeterm=function(sCmdID){};
/**
  * function queryCommandState(sCmdID)
  * @param {String} sCmdID
  * @type Boolean
  * @returns {Boolean}
  * @memberOf TextRange
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536679.aspx
*/

TextRange.prototype.queryCommandState=function(sCmdID){};
/**
  * function queryCommandSupported(sCmdID)
  * @param {String} sCmdID
  * @type Boolean
  * @returns {Boolean}
  * @memberOf TextRange
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536681.aspx
*/

TextRange.prototype.queryCommandSupported=function(sCmdID){};
/**
  * function queryCommandValue(sCmdID)
  * @param {String} sCmdID
  * @type Object
  * @returns {Object}
  * @memberOf TextRange
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536683.aspx
*/

TextRange.prototype.queryCommandValue=function(sCmdID){};
/**
  * function scrollIntoView(bAlignToTop)
  * @param {Boolean} bAlignToTop
  * @memberOf TextRange
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536730.aspx
*/

TextRange.prototype.scrollIntoView=function(bAlignToTop){};
/**
  * function select()
  * @memberOf TextRange
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536735.aspx
*/

TextRange.prototype.select=function(){};
/**
  * function setEndPoint(sType,oTextRange,oTextRange,oTextRange)
  * @param {String} sType
  * @param {TextRange} oTextRange
  * @param {TextRange} oTextRange
  * @param {TextRange} oTextRange
  * @memberOf TextRange
  * @since JScript 5.6
  * @see http://msdn2.microsoft.com/en-us/library/ms536745.aspx
*/

TextRange.prototype.setEndPoint=function(sType,oTextRange,oTextRange,oTextRange){};
